---
title: HTMLBRElement
slug: Web/API/HTMLBRElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLBRElement</code></strong> interface represents a HTML line break element ({{htmlelement("br")}}). It inherits from {{domxref("HTMLElement")}}.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<dl>
 <dt>{{domxref("HTMLBRElement.clear")}} {{deprecated_inline}}</dt>
 <dd>Is a {{domxref("DOMString")}} indicating the flow of text around floating objects.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; </em><em>inherits methods from its parent, {{domxref("HTMLElement")}}</em>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#htmlbrelement", "HTMLBRElement")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "textlevel-semantics.html#the-br-element", "HTMLBRElement")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>No change from {{SpecName("DOM2 HTML")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLBRElement")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>HTML element implementing this interface: {{HTMLElement("br")}}</li>
</ul>
